%define pyver %(python -c 'import sys ; print sys.version[:3]')
%define pynext %(python -c 'print %{pyver} + 0.1')
%define srcname	bsddb3

Name:           python-bsddb
Version:        4.2.4
Release:        0.fdr.2.rh90
Epoch:          0
Summary:	Python interface for BerkeleyDB 3.x and 4.x

Group:		Development/Languages
License:	BSD
URL:		http://pybsddb.sf.net
Source0:	http://dl.sourceforge.net/pybsddb/bsddb3-4.2.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel, db4-devel
Requires:	python >= 0:%{pyver}, python < 0:%{pynext}
# bsddb already part of Python 2.3
Conflicts:	python >= 0:2.3
#BuildConflicts:	python >= 0:2.3

%description
This module provides a nearly complete wrapping of the Sleepycat C API
for the Database Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python Type in the
bsddb3.db module.  The databse objects can use various access methods:
btree, hash, recno, and queue.  For the first time all of these are
fully supported in the Python wrappers.  Please see the documents in
the docs directory of the source distribution or at the website for
more details on the types and methods provided.

%package	doc
Summary:	Documentation and test files for python-bsddb
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	doc
A collection of documents and test cases that can be used to validate the
modules, as well as giving an idea of how to use bsddb3.db.

%prep
%setup -q -n %{srcname}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" BERKELEYDB_DIR="%{_libdir}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
env BERKELEYDB_DIR="%{_libdir}" python setup.py install --root=$RPM_BUILD_ROOT

# Produce .pyo files for %ghost directive later (from duplicity)
python -Oc 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/bsddb3'")'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc *.txt ChangeLog
%dir %{_libdir}/python%{pyver}/site-packages/bsddb3
%{_libdir}/python%{pyver}/site-packages/bsddb3/*.so
%{_libdir}/python%{pyver}/site-packages/bsddb3/*.py
%{_libdir}/python%{pyver}/site-packages/bsddb3/*.pyc

%exclude %{_libdir}/python%{pyver}/site-packages/bsddb3/tests
%ghost %{_libdir}/python%{pyver}/site-packages/bsddb3/*.pyo

%files doc
%defattr(-,root,root,-)
%doc docs/*
%dir %{_libdir}/python%{pyver}/site-packages/bsddb3/tests
%{_libdir}/python%{pyver}/site-packages/bsddb3/tests/*.py
%{_libdir}/python%{pyver}/site-packages/bsddb3/tests/*.pyc

%ghost %{_libdir}/python%{pyver}/site-packages/bsddb3/tests/*.pyo

%changelog
* Fri Apr 16 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:4.2.4-0.fdr.2
- Conflicts with python >= 0:2.3 to prevent installation on Fedora 2

* Fri Jan 30 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:4.2.4-0.fdr.1
- New upstream version
- Renamed -devel to -doc
- Spec cleanup: prevent duplicate entries

* Wed Dec 24 2003 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:4.1.6-0.fdr.2
- Spec cleanups

* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:4.1.6-0.fdr.1
- Initial Fedora release, adapted from Robin Dunn's spec file
